@echo on
@echo @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
@echo    vader 1.1 platform verified
@echo @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
@echo off
cd Apps
IF EXIST cIoMngr.out DEL cIoMngr.out 
CIoMngr ECCMD 45 09
if exist error.txt del error.txt
if exist pass.txt del pass.txt

STRCMP /F: cIoMngr.out /C:"value=01" 
if exist pass.txt goto vader10dis
if exist error.txt del error.txt

STRCMP /F: cIoMngr.out /C:"value=02" 
if exist pass.txt goto vader10dis
if exist error.txt del error.txt

STRCMP /F: cIoMngr.out /C:"value=07" 
if exist pass.txt goto vader11dis
if exist error.txt del error.txt

STRCMP /F: cIoMngr.out /C:"value=08" 
if exist pass.txt goto vader11dis
if exist error.txt del error.txt

STRCMP /F: cIoMngr.out /C:"value=0B" 
if exist pass.txt goto vader11uma
if exist error.txt del error.txt

STRCMP /F: cIoMngr.out /C:"value=0C" 
if exist pass.txt goto vader11uma
if exist error.txt goto runfail

:vader11dis
@echo @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
@echo   Flash Vader 1.1 dis Platform BIOS
@echo @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
cd..
copy DIS1.ini Platform.ini
copy InsydeFlash InsydeFlash.exe
InsydeFlash %1
copy FAIL.ini Platform.ini
del InsydeFlash.exe
exit %ERRORLEVEL% 
GOTO END

:vader10dis
@echo @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
@echo   Flash Vader 1.0 dis Platform BIOS
@echo @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
cd..
copy DIS0.ini Platform.ini
copy InsydeFlash InsydeFlash.exe
InsydeFlash %1
copy FAIL.ini Platform.ini
del InsydeFlash.exe
exit %ERRORLEVEL% 
GOTO END

:vader11uma
@echo @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
@echo   Flash Vader 1.1/1.0 uma Platform BIOS
@echo @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
cd..
copy UMA.ini Platform.ini
copy InsydeFlash InsydeFlash.exe
InsydeFlash %1
copy FAIL.ini Platform.ini
exit %ERRORLEVEL% 
del InsydeFlash.exe
GOTO END

:runfail
@echo @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
@echo   ERROR: Please check the utility!
@echo @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
cd..
copy FAIL.ini Platform.ini
copy InsydeFlash InsydeFlash.exe
InsydeFlash
del InsydeFlash.exe
exit %ERRORLEVEL% 


:END
cd Apps
del pass.txt
 
